Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.etee.crypto.policies
Class EncryptionCredentials

    java.lang.Object
      be.fgov.ehealth.etee.crypto.policies.EncryptionCredentials

    public final class EncryptionCredentials

extends java.lang.Object

A utility class to create EncryptionCredentials from a `Map` with private keys and their serial numbers.

Method Summary
`static EncryptionCredential[]` | `from(java.util.Map<java.lang.String,java.security.PrivateKey> privateKeyMap)` Creates an array of EncryptionCredentials from a `Map` with private keys and their serial number.
`static java.util.Map<java.lang.String,java.security.PrivateKey>` | `toMap(EncryptionCredential[] credentials)` Create a Map with private keys and their serial numbers from an array of EncryptionCredentials.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### from

    public static EncryptionCredential[] from(java.util.Map<java.lang.String,java.security.PrivateKey> privateKeyMap)

  Creates an array of EncryptionCredentials from a `Map` with private keys and their serial number.

  Parameters:
    `privateKeyMap` - A map with private keys and their serial number.
  Returns:
    An array of encryption credentials.

### toMap

    public static java.util.Map<java.lang.String,java.security.PrivateKey> toMap(EncryptionCredential[] credentials)

  Create a Map with private keys and their serial numbers from an array of EncryptionCredentials.

  Parameters:
    `credentials` - An array of encryption credentials.
  Returns:
    A map with private keys and their serial number.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2019 eHealth. All Rights Reserved.